CREATE TABLE hrc_evt_types (
    EVENT_TYPE_ID               NUMBER(18, 0) ,
    SOURCE_OBJECT_ID            NUMBER(18, 0)     NOT NULL,
    NAME                        VARCHAR2(320)     NOT NULL,
    DESCRIPTION                 VARCHAR2(960) ,
    TRIGGER_POINT               VARCHAR2(120) ,
    DML_TYPE                    VARCHAR2(120) ,
    DATE_EFFECTIVE_OPERATION    VARCHAR2(960) ,
    GROOVY_RULE                 VARCHAR2(4000),
    JAVA_RULE                   VARCHAR2(320) ,
    PLSQL_RULE                  VARCHAR2(320) ,
    ENABLED                     VARCHAR2(120)     NOT NULL,
    PROTECTED_FLAG              VARCHAR2(120)     NOT NULL,
    STORAGE_DURATION            NUMBER(9, 0)      NOT NULL,
    ENTERPRISE_ID               NUMBER(18, 0)     NOT NULL,
    MODULE_ID                   VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    SEED_DATA_SOURCE            VARCHAR2(2048),
    SGUID                       VARCHAR2(128) ,
    EVENT_TYPE                  VARCHAR2(120)     NOT NULL,
    ORA_SEED_SET1               VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2               VARCHAR2(4)       NOT NULL,
    EVENT_TYPE_ID               NUMBER(18, 0) ,
    SOURCE_OBJECT_ID            NUMBER(18, 0)     NOT NULL,
    NAME                        VARCHAR2(320)     NOT NULL,
    DESCRIPTION                 VARCHAR2(960) ,
    TRIGGER_POINT               VARCHAR2(120) ,
    DML_TYPE                    VARCHAR2(120) ,
    DATE_EFFECTIVE_OPERATION    VARCHAR2(960) ,
    GROOVY_RULE                 VARCHAR2(4000),
    JAVA_RULE                   VARCHAR2(320) ,
    PLSQL_RULE                  VARCHAR2(320) ,
    ENABLED                     VARCHAR2(120)     NOT NULL,
    PROTECTED_FLAG              VARCHAR2(120)     NOT NULL,
    STORAGE_DURATION            NUMBER(9, 0)      NOT NULL,
    ENTERPRISE_ID               NUMBER(18, 0)     NOT NULL,
    MODULE_ID                   VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    SGUID                       VARCHAR2(128) ,
    SEED_DATA_SOURCE            VARCHAR2(2048),
    EVENT_TYPE                  VARCHAR2(120)     NOT NULL,
    ORA_SEED_SET1               VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2               VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_hrc_evt_types PRIMARY KEY (EVENT_TYPE_ID, EVENT_TYPE_ID)
);
